#!/bin/sh

#
# bbsys.sh
#
# BIG BROTHER
# WHERE THINGS WE NEED LIVE...
#

#
# STANDARD COMMANDS...
#
PING="/sbin/ping"			# CONNECTIVITY TEST
LS="/bin/ls"
FIND="/usr/bin/find"
TOUCH="/usr/bin/touch"
CAT="/bin/cat"
GREP="/usr/bin/grep"
SORT="/usr/bin/sort"
UNIQ="/usr/bin/uniq"
DATE="/bin/date"
TAIL="/usr/bin/tail"
SED="/usr/bin/sed"
UPTIME="/usr/bin/uptime"
WC="/usr/bin/wc -l"
WHO="/usr/bin/who"
RM="/bin/rm"

#
# DISK INFORMATION
#
DFSORT="4"				# % COLUMN - 1
DFUSE="^/dev"				# PATTERN FOR LINES TO INCLUDE
DFEXCLUDE="cdrom"			# PATTERN FOR LINES TO EXCLUDE

#
# PING PARAMETERS
# Added by Gunnar Helliesen <gunnar@bitcon.no> to accomodate different
# styles of ping commands.
#
PINGPAR1="-c 1"
PINGPAR2=""

#
# LOCAL SYSTEM REDEFINES, BY OS...
#
. ${BBHOME}/etc/bbsys.local
