#!/bin/sh

#
# SHELL SCRIPT TO MAKE THE BIG BROTHER PAGE
#

. $BBHOME/etc/bbdef.sh

#
# FIND OUT IF WE HAVE ANY OLD DATA FILES LYING AROUND...
# touchtime is a C program that returns the date 30 minutes
#
$TOUCH `$BBHOME/bin/touchtime` ${BBLOGS}/later	# MAKE THE TOUCH FILE
$FIND $BBLOGS -type f ! -newer ${BBLOGS}/later -print | $GREP -v later | $GREP -v backup > $BBTMP/OLD.$$
#
# HANDLE OLD BACKUP FILES, MARK THEM IF THEY'RE OVER 1 DAY OLD...
#
#find logs/backup* -mtime 1 >> $BBTMP/OLD.$$

for file in `${CAT} $BBTMP/OLD.$$`
do
	set `${CAT} $file`
	COLOR=$1
	${CAT} $file | $SED "s/${COLOR}/purple/g" > $BBTMP/NEW.$$
	mv $BBTMP/NEW.$$ $file
done
$RM $BBTMP/OLD.$$

COLUMNS=`${BBHOME}/web/mkbb.cols`	# GET OUR COLUMN HEADINGS

echo "
<HTML>
<HEAD>
<TITLE>Big Brother - Network status @ `$DATE`</TITLE>
<META HTTP-EQUIV=\"REFRESH\" CONTENT=\"60\">
</HEAD>

<BODY BACKGROUND=\"`${BBHOME}/web/mkbb.bkg`\" 
	TEXT=#FFFFFF LINK="#00FFAA" VLINK="#FFFF44">
<CENTER>

<TABLE CELLPADDING=5><TR>
<TD VALIGN=TOP>
<H3>Legend</H3>
<B><I>
<IMG SRC="gifs/green.gif" ALT="green" > System OK<BR>
<IMG SRC="gifs/yellow.gif" ALT="yellow" > Attention<BR>
<IMG SRC="gifs/red.gif" ALT="red" > Trouble<BR>
<IMG SRC="gifs/purple.gif" ALT="blue" > No report<BR><BR>
</I></B>
<H3>Updated<BR><I>@ `${DATE} +"%H:%M"`</I></H3>
<TD>
<A HREF=\"http://www.iti.qc.ca/iti/users/sean/bb-dnld/\">
<IMG SRC="gifs/bb.gif" ALT=\"BIG BROTHER\" BORDER=0></A><BR><BR>
</TD>
<TD ALIGN=RIGHT VALIGN=ABSMIDDLE>
<A HREF="bb-help.html"><IMG SRC="gifs/buthelp.gif" BORDER=0 VSPACE=7 ALT="help"></A><BR>
<A HREF="bb-info.html"><IMG SRC="gifs/butinfo.gif" BORDER=0 VSPACE=7 ALT="info"></A><BR>
<A HREF="bb-page.html"><IMG SRC="gifs/butpage.gif" BORDER=0 VSPACE=7 ALT="page"></A><BR>
<A HREF="bb2.html"><IMG SRC="gifs/butview.gif" BORDER=0 VSPACE=7 ALT="view"></A>
</TD>
</TR></TABLE>
<TABLE BORDER=3>
<TR><TD></TD>
"

for column in $COLUMNS
do
	echo "<TD ALIGN=CENTER WIDTH=45><H4><I>$column</I></H4></TD>"
done

echo "</TR>"

#
# FOR EACH HOST WE CARE ABOUT...
#
$CAT $BBHOSTS | $GREP "^[0-9]" |
while read line
do
	set $line
	set `echo $2 | $SED "s/\./ /"`
	NAME=$1
	echo "<TR><TD ALIGN=CENTER>"

	#
	# PUT A LINK IN FOR SYSTEM NOTES IF WE HAVE ANY
	# THIS IS A GOOD PLACE TO PUT INVENTORY INFO
	#
	if test -f "${BBNOTES}/${NAME}"
	then
		echo "<A HREF=notes/$NAME> <B>$NAME</B></A></TD>"
	else
		echo "<B>$NAME</B></TD>"
	fi
	#
	# FOR EACH OF THE THINGS WE MONITOR...
	#
	for column in $COLUMNS
	do
		if test -f "$BBLOGS/${NAME}.${column}"
		then
			set `${CAT} ${BBLOGS}/${NAME}.${column}`
			echo "<TD ALIGN=CENTER><A HREF=\"logs/$NAME.$column\">
				<IMG SRC=\"gifs/$1.gif\" ALT=\"$1\" BORDER=0></A></TD>"
			
		else
		echo "<TD ALIGN=CENTER>-</TD>"
		fi
	done
	echo "</TR>"
done
echo "</TABLE></CENTER></BODY></HTML>"		# END OF HTML DOCUMENT
